Bug 47322 - gcc 2.96-81 (sparc) does not compile gcc-2.96-93
Summary: gcc 2.96-81 (sparc) does not compile gcc-2.96-93
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: sparc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-04 18:42 UTC by Ricardo Ariel Gorosito
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-04 18:42:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ricardo Ariel Gorosito 2001-07-04 18:42:11 UTC
Description of Problem:

I tried to do:

(1)sparc32 rpm -bb gcc.spec --target=sparc-redhat-linux
(2)rpm -bb gcc.spec --target=sparc-redhat-linux
(3)rpm -bb gcc.spec
(4)rpm -bb gcc.sprc --target=sparc64-redhat-linux

with differents results:
(3) & (4) : -m64 not suported,
(1) & (2) :
Assembler messages:
Fatal error: No compiled in support for 64 bit object file format
make[3]: *** [libgcc/64/_muldi3.o] Error 1
make[2]: *** [stmp-multilib] Error 2
make[1]: *** [bootstrap-lean] Error 2
make: *** [bootstrap-lean] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.51978 (%build)
    Bad exit status from /var/tmp/rpm-tmp.51978 (%build)

Idea: is a binutils problem? need --enable-targets=sparc64 in configure of
binutils when you build sparc target?

How Reproducible:
try to compile last gcc rawhide package in ultrasparc

Actual Results:
If you need, I can submit stdout an stderr of each try.

Additional Information:
As you can see, english is not my first language	

Additional question (off topic?):
- Do you know why no more binary buils for sparc is in rawhide mirrors?
- Do you know if RedHat will adopt gcc 3.0?

Thanks so much in advance.

Comment 1 Jakub Jelinek 2001-11-28 12:56:15 UTC
Works ok for me.
For RHL 7.2/SPARC port see http://aurora.linuxpower.org/
(and http://aurora.linuxpower.org/build-0.2/).
Unless you have 64bit glibc built, you should only do sparc32 rpm ...


Note You need to log in before you can comment on or make changes to this bug.